<?
// если убили
				unset($from["attack"]);
				addjournalall($loc,$to["title"]." погиб",$toid);
				// добавляем труп с вещами в локацию
				$id = "item.stand.died.".rand(5,9999);
$item="труп (!".$to["title"].")|";
                      
					if (substr($toid,0,5)=='user.' && !$to["crim"]) $item.="1|"; else $item.="0|";
					// его предметы
					
					if ($to["items"]) foreach (array_keys($to["items"]) as $i){
					if (substr($i,0,20)=='item.armor.body.prem'){
					if (substr($toid,0,5)=='user.') {
					$lode=split("\|",$to["items"][$i]);
				    $game["loc"][$game["players"][$toid]][$toid]["bank"][$i]=implode("|",$lode);
					unset($i);
					}}
					
					if (substr($i,0,16)=='item.weapon.prem') {
					if (substr($toid,0,5)=='user.') {
					$lode=split("\|",$to["items"][$i]);
				    $game["loc"][$game["players"][$toid]][$toid]["bank"][$i]=implode("|",$lode);
					unset($i);
					}}
					
					$item.=$i."=".str_replace("|",":",$to["items"][$i]).",";
					}
					// его шкура и т.д.
					$item.="|".$to["osvej"];
					$item.="|".$from["title"]."|";
					// время принадлежания трупа...
					$item.=time()+1;
					$game["loc"][$loc][$id]=$item;
					// удалить труп через 6 минут
					$game["loc_del"][$loc][$id]=time()+6*60;
					
					// статус игрока
					if (substr($toid,0,5)=='user.') {
						
						$from['status1']++;
						
						unset($to["equip"]);	// все бросаем
						unset($to["items"]);
						unset($to["attack"]);
												
						calcparam($fromid);	// пересчитаем параметры
						$to["ghost"]=1;
						$to['status3']++;         						//+1 раз
						{
								unset($from["attack"]);
								unset($from["attack"]);
								unset($from["owner"]);
								unset($from["follow"]);
								unset($from["guard"]);
								unset($from["time_owner"]);
								}
						addjournal($toid,"Вы погибли!");
						} else {	// npc, проверим респавн
						
						$from['status2']++;	
							if ($to["respawn"]) {
								unset($to["attack"]);
								unset($to["owner"]);
								unset($to["follow"]);
								unset($to["guard"]);
								unset($to["time_owner"]);
								$to["life"]=$to["life_max"];
								$to["mana"]=$to["mana_max"];
								$respawn=split("\|",$to["respawn"]);
								$game["loc_add"][$respawn[0]][$toid]=array("time"=>time()+rand($respawn[1],$respawn[2]),"item"=>$game["loc"][$loc][$toid]);
								}
							// удаляем npc
							unset($game["loc"][$loc][$toid]);
							}
					// экспа и уровень
					if (substr($fromid,0,5)=='user.' && substr($toid,0,5)!='user.') {
						$skills=split("\|",$from["skills"]);
						$skills[3]+=$towar[13];
						addjournal($fromid,"Опыт +".$towar[13]);
						if ($skills[3]>$fromwar[13]*$points_levelup) {$skills[3]=0; $skills[4]+=1; $skills[28]+=1; $from["skills"]=implode("|",$skills); addjournal($fromid,"Вы получили 1 очко опыта!<br/>Вы стали ".$skills[28]." уровнем");calcparam($fromid);}
							else $from["skills"]=implode("|",$skills);
						}
?>						